| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Macros
cpp.h File Reference

## Macros
#define | wxCONCAT(x1, x2)
| This macro returns the concatenation of the arguments passed.
#define | wxCONCAT3(x1, x2, x3)
#define | wxCONCAT4(x1, x2, x3, x4)
#define | wxCONCAT5(x1, x2, x3, x4, x5)
#define | wxSTRINGIZE(x)
| Returns the string representation of the given symbol which can be either a literal or a macro (hence the advantage of using this macro instead of the standard preprocessor `#` operator which doesn't work with macros).
#define | wxSTRINGIZE_T(x)
| Returns the string representation of the given symbol as either an ASCII or Unicode string, depending on the current build.
#define | __WXFUNCTION__
| This macro expands to the name of the current function if the compiler supports any of `FUNCTION`, `func` or equivalent variables or macros or to NULL if none of them is available.